aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-cluster/mpich2/ChangeLog5
-rw-r--r--sys-cluster/mpich2/Manifest1
-rw-r--r--sys-cluster/mpich2/mpich2-1.5.ebuild128
3 files changed, 134 insertions, 0 deletions
diff --git a/sys-cluster/mpich2/ChangeLog b/sys-cluster/mpich2/ChangeLog
index 6f093d85d..6c93d92e7 100644
--- a/sys-cluster/mpich2/ChangeLog
+++ b/sys-cluster/mpich2/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*mpich2-1.5 (30 Oct 2012)
+
+ 30 Oct 2012; Justin Bronder <jsbronder@gentoo.org> +mpich2-1.5.ebuild:
+ Bump
+
26 Oct 2012; Justin Lecher <jlec@gentoo.org> mpich2-1.2.1_p1-r2.ebuild,
mpich2-1.4.1_p1.ebuild, metadata.xml:
Move to EAPI=5, use fortran-2.eclass correctly
diff --git a/sys-cluster/mpich2/Manifest b/sys-cluster/mpich2/Manifest
index b68e1fb4a..8f6c258f9 100644
--- a/sys-cluster/mpich2/Manifest
+++ b/sys-cluster/mpich2/Manifest
@@ -1,2 +1,3 @@
DIST mpich2-1.2.1p1.tar.gz 18014859 SHA256 a55d1682ee0b5ebbacc047f60620ed291e0a9b3ded3eaeb6a2c81a1598c4c964
DIST mpich2-1.4.1p1.tar.gz 19502854 SHA256 a20f798ceaad6b0161ddecac98623b65d6a4033072f39ced13b9043916e3d1ee
+DIST mpich2-1.5.tar.gz 22826035 SHA256 7175926fc2e4230f00201e880318c08de4f949c0dbe167fe1b2e256ac79d5f66 SHA512 01ef68accdd60af805705c1c7a144a570eee6f01984939fe151a093f963c956fba366247b1058885ba1a2ff626278d30e928e03d394bd6cf2a4b6dab99586c15 WHIRLPOOL 2cffe3dc6942f4d141601fcb51a08405c5c61af84c8e224dc9301b18846862d27f7646637aa199720c3858345471c244cb78800d4f2b484742edd8ef6a674b45
diff --git a/sys-cluster/mpich2/mpich2-1.5.ebuild b/sys-cluster/mpich2/mpich2-1.5.ebuild
new file mode 100644
index 000000000..d1ce4018c
--- /dev/null
+++ b/sys-cluster/mpich2/mpich2-1.5.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+
+inherit fortran-2 mpi
+
+MY_PV=${PV/_/}
+DESCRIPTION="A high performance and portable MPI implementation"
+HOMEPAGE="http://www.mcs.anl.gov/research/projects/mpich2/index.php"
+SRC_URI="http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/${MY_PV}/${PN}-${MY_PV}.tar.gz"
+
+SLOT="0"
+LICENSE="as-is"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+cxx doc fortran mpi-threads romio threads"
+
+COMMON_DEPEND="
+ dev-libs/libaio
+ sys-apps/hwloc
+ romio? ( net-fs/nfs-utils )
+ $(mpi_imp_deplist)"
+
+DEPEND="${COMMON_DEPEND}
+ dev-lang/perl
+ sys-devel/libtool"
+
+RDEPEND="${COMMON_DEPEND}"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+pkg_setup() {
+ FORTRAN_STANDARD="77 90"
+ fortran-2_pkg_setup
+ MPI_ESELECT_FILE="eselect.mpi.mpich2"
+
+ if use mpi-threads && ! use threads; then
+ ewarn "mpi-threads requires threads, assuming that's what you want"
+ fi
+
+ if mpi_classed; then
+ MPD_CONF_FILE_DIR=/etc/$(mpi_class)
+ else
+ MPD_CONF_FILE_DIR=/etc/${PN}
+ fi
+
+}
+
+src_prepare() {
+ # Using MPICH2LIB_LDFLAGS doesn't seem to full work.
+ sed -i 's| *@WRAPPER_LDFLAGS@ *||' \
+ src/packaging/pkgconfig/mpich2.pc.in \
+ src/env/*.in \
+ || die
+}
+
+src_configure() {
+ local c="--enable-shared"
+
+ # The configure statements can be somewhat confusing, as they
+ # don't all show up in the top level configure, however, they
+ # are picked up in the children directories.
+
+ if use mpi-threads; then
+ # MPI-THREAD requries threading.
+ c="${c} --with-thread-package=pthreads"
+ c="${c} --enable-threads=runtime"
+ else
+ if use threads ; then
+ c="${c} --with-thread-package=pthreads"
+ else
+ c="${c} --with-thread-package=none"
+ fi
+ c="${c} --enable-threads=single"
+ fi
+
+ if ! mpi_classed; then
+ c="${c} --sysconfdir=${EPREFIX}/etc/${PN}"
+ c="${c} --docdir=${EPREFIX}/usr/share/doc/${PF}"
+ else
+ c="${c} --docdir=$(mpi_root)/usr/share/doc/${PF}"
+ fi
+
+ export MPICH2LIB_CFLAGS=${CFLAGS}
+ export MPICH2LIB_CPPFLAGS=${CPPFLAGS}
+ export MPICH2LIB_CXXFLAGS=${CXXFLAGS}
+ export MPICH2LIB_FFLAGS=${FFLAGS}
+ export MPICH2LIB_FCFLAGS=${FCFLAGS}
+ export MPICH2LIB_LDFLAGS=${LDFLAGS}
+ unset CFLAGS CPPFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS
+
+ econf $(mpi_econf_args) ${c} \
+ --with-pm=hydra \
+ --disable-mpe \
+ --disable-fast \
+ --enable-smpcoll \
+ --enable-versioning \
+ $(use_enable romio) \
+ $(use_enable cxx) \
+ $(use_enable fortran f77) \
+ $(use_enable fortran fc)
+}
+
+src_test() {
+ emake -j1 check
+}
+
+src_install() {
+ local d=$(echo ${ED}/$(mpi_root)/ | sed 's,///*,/,g')
+
+ default
+
+ mpi_dodir /usr/share/doc/${PF}
+ mpi_dodoc COPYRIGHT README{,.envvar} CHANGES RELEASE_NOTES
+ mpi_newdoc src/pm/hydra/README README.hydra
+ if use romio; then
+ mpi_newdoc src/mpi/romio/README README.romio
+ fi
+
+ if ! use doc; then
+ rm -rf "${d}"usr/share/doc/${PF}/www*
+ fi
+
+ mpi_imp_add_eselect
+}